8.5.4 BlitzGCE PG versions asks for GitHub credentials | PlexGuide.com

8.5.4 BlitzGCE PG versions asks for GitHub credentials

  • Stop using Chrome! Download the Brave Browser via >>> [Brave.com]
    It's a forked version of Chrome with native ad-blockers and Google's spyware stripped out! Download for Mac, Windows, Android, and Linux!
Welcome to the PlexGuide.com
Serving the Community since 2016!
Register Now

timekills

VIP
Original poster
Staff
Donor
Sep 12, 2018
367
192
Using the "[1] Utilize BlitzGCE - Plexguide's" option asks for the user's GitHub credentials.
When loaded, it tries to access the default (Admin9705) repo, but fails.

Additionally, it adds "@github.com" to the end of the username (see yellow code snip below)

TASK [Clone Role] ***
Saturday 23 February 2019 00:28:13 +0100 (0:00:00.087) 0:00:02.686 *
Username for 'https://github.com': [email protected]
Password for 'https://[email protected]@github.com':
fatal: [127.0.0.1]: FAILED! => {"changed": false, "cmd": "/usr/bin/git clone --origin origin https://github.com/Admin9705/BlitzGCE /opt/blitzegce", "msg": "Cloning into '/opt/blitzegce'...\nremote: Repository not found.\nfatal: repository 'https://github.com/Admin9705/BlitzGCE/' not found", "rc": 128, "stderr": "Cloning into '/opt/blitzegce'...\nremote: Repository not found.\nfatal: repository 'https://github.com/Admin9705/BlitzGCE/' not found\n", "stderr_lines": ["Cloning into '/opt/blitzegce'...", "remote: Repository not found.", "fatal: repository 'https://github.com/Admin9705/BlitzGCE/' not found"], "stdout": "", "stdout_lines": []}
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,112
checking now
 
  • Like
Reactions: 1 user

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,112
try 8.5.5, had to amend to pull from v2 clone installer for org change
 

timekills

VIP
Original poster
Staff
Donor
Sep 12, 2018
367
192
Looks like it's trying to pull the wrong (non-existent) fork now, but it isn't asking for credentials anymore.

Saturday 23 February 2019 00:59:53 +0100 (0:00:00.286) 0:00:01.274 *
fatal: [127.0.0.1]: FAILED! => {"changed": false, "cmd": "/usr/bin/git checkout --force v8.5", "msg": "Failed to checkout v8.5", "rc": 1, "stderr": "error: pathspec 'v8.5' did not match any file(s) known to git.\n", "stderr_lines": ["error: pathspec 'v8.5' did not match any file(s) known to git."], "stdout": "", "stdout_lines": []}
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,112
haha ok, one more stab at this. This will be abit more invovled for testing on my end and have to do tomorrow :D It's because of the org change; everything else lines up except it. you can use version 8.5.0 to install it and then upgrade.
 
  • Like
Reactions: 1 user

timekills

VIP
Original poster
Staff
Donor
Sep 12, 2018
367
192
haha ok, one more stab at this. This will be abit more invovled for testing on my end and have to do tomorrow :D It's because of the org change; everything else lines up except it. you can use version 8.5.0 to install it and then upgrade.
I just forked it over and used my personal for now; that worked fine.

I suppose you could just make a duplicate GCE fork that was labeled v8.5 from the v8.4; it's looking for v8.5, and the v8.4 fork works fine...
 
  • Love
Reactions: 1 user

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,112
ah will do! u the man!
 

timekills

VIP
Original poster
Staff
Donor
Sep 12, 2018
367
192
Wellll.....so it works if you had used it prior to the name change.
You were right in post #5 that the directory name change throws an error for a brand new install.
It's still looking for "pggce.sh" in the old /opt/pggce directory.

I don't have Ansible available/accessible here, and not familiar with which script calls for pggce.sh file, so I'll leave that to you. :)


Also, not sure if intentional, but the new directory is spelled "blitzegce"
I assume the extra "e" isn't supposed to be there.
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,112
Good catches, I'll repair tomorrow
 

Recommend NewsGroups

      Up To a 58% Discount!

Trending